Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155560 - ownership of ide-floppy node not set to user
Summary: ownership of ide-floppy node not set to user
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-21 13:42 UTC by David Balažic
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: pam-0.79-7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-26 12:02:30 UTC


Attachments (Terms of Use)

Description David Balažic 2005-04-21 13:42:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
$ ls -l /dev/hd?
brw-------  1 stein disk  3,  0 Apr 20  2005 /dev/hda
brw-------  1 stein disk  3, 64 Apr 20  2005 /dev/hdb
brw-------  1 stein disk 22,  0 Apr 20  2005 /dev/hdc
brw-r-----  1 root  disk 22, 64 Apr 20  2005 /dev/hdd
brw-r-----  1 root  disk 33,  0 Apr 20  2005 /dev/hde
brw-r-----  1 root  disk 34,  0 Apr 20  2005 /dev/hdg
brw-r-----  1 root  disk 34, 64 Apr 20  2005 /dev/hdh

CD-ROMs are set to UID stein, but hdd (LS-120 idefloppy) is not.



Version-Release number of selected component (if applicable):
udev-050-10.i386.rpm

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Harald Hoyer 2005-04-21 16:34:20 UTC
please update to udev-057 and show me the output of:
# ls -l /dev/floppy*

Comment 2 David Balažic 2005-04-26 07:59:43 UTC
(updated udev to 057)

[root@localhost ~]# ls -l /dev/floppy*
lrwxrwxrwx  1 root root 3 Apr 25  2005 /dev/floppy -> hdd
lrwxrwxrwx  1 root root 3 Apr 25  2005 /dev/floppy1 -> fd0
[root@localhost ~]# ls -l /dev/hdd /dev/fd0
brw-rw----  1 stein floppy  2,  0 Apr 25  2005 /dev/fd0
brw-r-----  1 root  disk   22, 64 Apr 25  2005 /dev/hdd
[root@localhost ~]#

Comment 3 Harald Hoyer 2005-04-26 08:32:45 UTC
$ fgrep floppy /etc/security/console.perms
<floppy>=/dev/fd[0-1]* \
         /dev/floppy/* /mnt/floppy*
<console>  0660 <floppy>     0660 root.floppy


Hmm, either I should rename /dev/floppy to /dev/floppy/%k or the wildcard should
be "/dev/floppy*"

Comment 4 Tomas Mraz 2005-04-26 12:02:30 UTC
Changed /dev/floppy/* to /dev/floppy* in the console.perms.



Note You need to log in before you can comment on or make changes to this bug.